安装FlexNet License Manager必须有管理员权限


#1

前面我们有几个帖子讲解如何激活License,以及激活/安装软件时遇到问题的解决方法:
正式用户安装软件的次数有限制吗?License呢?
正式用户:如何用FlexNet License Manager激活正式License
试用户:如何激活License的正确步骤
如何正确设置License的路径(含如何激活的连接)
Linux正式用户和试用户如何激活License
关于在Linux系统激活License的管理权限问题
Linux系统安装的常见问题

但是,鉴于License的工作原理,为了系统的安全,所有计算机操作系统均要求安装FlexNet License Manager必须有管理员权限:

1:微软视窗
由于通常情况是一台机器一个用户,这个用户往往具有管理员权限。如果没有,请参考下列内容

2:Linux
通常都是工作站或者超算中心的集群,此时一般都需要管理员来帮助安装,即使将FlexNet License Manager安装在用户节点也一样,参见

3:苹果系统
除非特殊情况,一般苹果系统一台机器一个用户:


工作站单个节点是否可以同时安装多个fdtd软件
Lumerical windows正版用户如何获取linux版本安装包
有关安装问题、许可证License问题需要提供的信息
#2

https://lumerical-community-uploads.s3-us-west-2.amazonaws.com/original/2X/2/216a7

5d8599a2596192e81753bc0521d3b9e2920.jpg
https://lumerical-community-uploads.s3-us-west-2.amazonaws.com/original/2X/e/e80739b2fcb0cd5df0e178591c672a5f35c84b0d.jpg

孙老师,您好!
我现在按照官网的示例,下载Linux安装包安装Linux版本FDTD求解器,使用管理员账户出现了“This program must be run as user root”的问题。请问这是什么问题呢?


#3

上面的说明是假设用户有user root的权限,所以使用SUDO。
如果没有,你需要用另外的安装指南:
https://kb.lumerical.com/en/index.html
为方便国内用户我拷贝到这里



#4

孙老师,非常感谢您的回复!可能我昨天没有讲清楚我的问题。我现在是有管理员权限的,我的linux系统是Ubuntu版本的,但是官网并没有适配我这个版本,所安装的时候遇到了上图那样的问题。
我在kx中找到了ubuntu linux安装的方法https://kx.lumerical.com/t/installation-on-ubuntu-operating-system/2471,按照上面的方法还是遇到了 1无法解析地址的问题,还有2为什么管理员权限安装还是会出现This program must be run as user root的问题?
1


#5

我与同事讨论了一下,这个问题应该是你系统更新出现的问题,也就是你运行
sudo apt-get update
到某种程度时出了问题,错误信息很明确地说明了它。
我们有两个建议:
1:直接从上个连接中的第二步开始
2:如果不行,你可能需要找你单位Linux专家帮助你解决第一个命令下载新软件过程中出现的问题